Tags

Labels used to categorize, filter, and classify resources. Learn more about tags herearrow-up-right.

List Tags

get
/api/v1/tag

Get a list of tags. No filtering is currently available.

Authorizations
Responses
chevron-right
200

List of tags.

application/json
get
/api/v1/tag

Create Tag

post
/api/v1/tag

Create a new tag for the workspace.

Authorizations
Body
namestringOptional

Indicates the name of the tag.

Example: Sample Tag
descriptionstringOptional

Indicates the description of the tag.

Example: This is a sample tag.
colorstringOptional

Defines the different colors of the tags.

Example: #4299E1
Responses
post
/api/v1/tag

Get Tag

get
/api/v1/tag/{tag_id}

Get a tag by its ID.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to retrieve.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
Responses
chevron-right
200

OK

application/json
idstringOptional

The unique identifier of the resource.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
created_atstring · date-timeOptional

The timestamp when the resource was created in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571134Z
updated_atstring · date-timeOptional

The timestamp when the resource was last updated in Secoda in UTC format.

Example: 2023-09-05T17:32:56.571151Z
namestringOptional

Indicates the name of the tag.

Example: Sample Tag
descriptionstringOptional

Indicates the description of the tag.

Example: This is a sample tag.
colorstringOptional

Defines the different colors of the tags in HEX format.

Example: #4299E1
integration_idstringOptional

The unique identifier of the integration the tag is pulled from. Null if the tag is created manually in Secoda.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
workspace_idstringOptional

Indiactes the workspace ID where the tag belongs.

Example: f71585fa-251c-4102-8d81-c97c57c8d435
get
/api/v1/tag/{tag_id}

Delete Tag

delete
/api/v1/tag/{tag_id}

Delete a tag by its ID.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to delete.

Example: 69e0b863-8bb8-47e1-b566-8b8d57441c70
Responses
delete
/api/v1/tag/{tag_id}

No content

Update Tag

patch
/api/v1/tag/{tag_id}

Use this endpoint to update tag name, color, or icon.

Authorizations
Path parameters
tag_idstringRequired

The ID of the tag to update.

Example: 38040671-8f1d-4322-b895-4fd7b73317bf
Body
colorstringRequired

Represents the color of the tags.

Example: #316650
Responses
patch
/api/v1/tag/{tag_id}

No content

Last updated

Was this helpful?